aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/install_deps.sh
diff options
context:
space:
mode:
authorLefteris Karapetsas <lefteris@refu.co>2016-09-15 04:29:11 +0800
committerLefteris Karapetsas <lefteris@refu.co>2016-09-15 04:29:11 +0800
commit9280954e726d2a4e16af8a41797aba1f495f326f (patch)
tree2170529ecf7a78859f71a9dac88e9153683a2d8c /scripts/install_deps.sh
parentb720e7b03d3975d507cda309709e010c896d5fe3 (diff)
downloaddexon-solidity-9280954e726d2a4e16af8a41797aba1f495f326f.tar
dexon-solidity-9280954e726d2a4e16af8a41797aba1f495f326f.tar.gz
dexon-solidity-9280954e726d2a4e16af8a41797aba1f495f326f.tar.bz2
dexon-solidity-9280954e726d2a4e16af8a41797aba1f495f326f.tar.lz
dexon-solidity-9280954e726d2a4e16af8a41797aba1f495f326f.tar.xz
dexon-solidity-9280954e726d2a4e16af8a41797aba1f495f326f.tar.zst
dexon-solidity-9280954e726d2a4e16af8a41797aba1f495f326f.zip
Add warning for CentOS dependencies
Diffstat (limited to 'scripts/install_deps.sh')
-rwxr-xr-xscripts/install_deps.sh58
1 files changed, 32 insertions, 26 deletions
diff --git a/scripts/install_deps.sh b/scripts/install_deps.sh
index 49c478b7..334c62d4 100755
--- a/scripts/install_deps.sh
+++ b/scripts/install_deps.sh
@@ -338,32 +338,38 @@ case $(uname -s) in
# needed, but some tweaking/improvements can definitely happen
#------------------------------------------------------------------------------
CentOS)
- # Make Sure we have the EPEL repos
- sudo yum -y install epel-release
- # Get g++ 4.8
- sudo rpm --import http://ftp.scientificlinux.org/linux/scientific/5x/x86_64/RPM-GPG-KEYs/RPM-GPG-KEY-cern
- wget -O /etc/yum.repos.d/slc6-devtoolset.repo http://linuxsoft.cern.ch/cern/devtoolset/slc6-devtoolset.repo
- sudo yum -y install devtoolset-2-gcc devtoolset-2-gcc-c++ devtoolset-2-binutils
-
- # Enable the devtoolset2 usage so global gcc/g++ become the 4.8 one.
- # As per https://gist.github.com/stephenturner/e3bc5cfacc2dc67eca8b, what you should do afterwards is
- # to add this line:
- # source /opt/rh/devtoolset-2/enable
- # to your bashrc so that this happens automatically at login
- scl enable devtoolset-2 bash
-
- # Get cmake
- sudo yum -y remove cmake
- sudo yum -y install cmake3
- sudo ln -s /usr/bin/cmake3 /usr/bin/cmake
-
- # Get latest boost thanks to this guy: http://vicendominguez.blogspot.de/2014/04/boost-c-library-rpm-packages-for-centos.html
- sudo yum -y remove boost-devel
- sudo wget http://repo.enetres.net/enetres.repo -O /etc/yum.repos.d/enetres.repo
- sudo yum install boost-devel
-
- # And finally jsoncpp
- sudo yum -y install jsoncpp-devel
+ read -p "This script will heavily modify your system in order to allow for compilation of Solidity. Are you sure? [Y/N]" -n 1 -r
+ if [[ $REPLY =~ ^[Yy]$ ]]; then
+ # Make Sure we have the EPEL repos
+ sudo yum -y install epel-release
+ # Get g++ 4.8
+ sudo rpm --import http://ftp.scientificlinux.org/linux/scientific/5x/x86_64/RPM-GPG-KEYs/RPM-GPG-KEY-cern
+ wget -O /etc/yum.repos.d/slc6-devtoolset.repo http://linuxsoft.cern.ch/cern/devtoolset/slc6-devtoolset.repo
+ sudo yum -y install devtoolset-2-gcc devtoolset-2-gcc-c++ devtoolset-2-binutils
+
+ # Enable the devtoolset2 usage so global gcc/g++ become the 4.8 one.
+ # As per https://gist.github.com/stephenturner/e3bc5cfacc2dc67eca8b, what you should do afterwards is
+ # to add this line:
+ # source /opt/rh/devtoolset-2/enable
+ # to your bashrc so that this happens automatically at login
+ scl enable devtoolset-2 bash
+
+ # Get cmake
+ sudo yum -y remove cmake
+ sudo yum -y install cmake3
+ sudo ln -s /usr/bin/cmake3 /usr/bin/cmake
+
+ # Get latest boost thanks to this guy: http://vicendominguez.blogspot.de/2014/04/boost-c-library-rpm-packages-for-centos.html
+ sudo yum -y remove boost-devel
+ sudo wget http://repo.enetres.net/enetres.repo -O /etc/yum.repos.d/enetres.repo
+ sudo yum install boost-devel
+
+ # And finally jsoncpp
+ sudo yum -y install jsoncpp-devel
+ else
+ echo "Aborted CentOS Solidity Dependency Installation";
+ exit 1
+ fi
;;